<?php
$title = 'Новое задание';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
echo '<div class="title">Новое задание</div>';
if (isset($_POST['submit'])) {
$error = '';
if (empty($_POST['name'])) {
$error.= 'Введите название!<br/>';
}
elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 250) {
$error.= 'Название должно содержать от 5 до 250 символов!<br/>';
}
if (empty($_POST['text'])) {
$error.= 'Введите требования по выполнению задания!<br/>';
}
elseif (mb_strlen($_POST['text']) < 15 or mb_strlen($_POST['text']) > 750) {
$error.= 'Требования должны содержать от 15 до 750 символов!<br/>';
}
if (empty($_POST['col'])) {
$error.= 'Введите количество выполнений!<br/>';
}
elseif (!is_numeric($_POST['col'])) {
$error.= 'Количество выполнений введено неверно!<br/>';
}
elseif ($_POST['col'] < 1) {
$error.= 'Минимальное количество выполнений - 1!<br/>';
}
if (empty($_POST['cena'])) {
$error.= 'Введите цену выполнения!<br/>';
}
elseif (!is_numeric($_POST['cena'])) {
$error.= 'Цена выполнения введена неверно!<br/>';
}
elseif ($_POST['cena'] < $task_min_cena) {
$error.= 'Минимальная цена выполнения - '.$task_min_cena.'!<br/>';
}
$col = val($_POST['col']);
if ($_POST['cena'] * $col > $user['money'] && $adm_id != 1) {
$error.= 'Недостаточно средств!<br/>';
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
} else {
$money = $col * $_POST['cena'];
$stmt1 = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ? and `admin` != '1' limit 1");
$stmt2 = $connect->prepare("insert into `task` set `time` = ?, `user` = ?, `name` = ?, `text` = ?, `col` = ?, `cena` = ?");
if ($stmt1->execute(array($money, $user['id'])) && $stmt2->execute(array(time(), $user['login'], $_POST['name'], $_POST['text'], $col, $_POST['cena']))) {
header('location: /task');
} else {
echo '<div class="menu">Произошла ошибка!</div>';
}
}
}
echo '<div class="menu"><form action="" method="post">Название:<br/><input type="text" name="name"><br/>Требования:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>Количество выполнений:<br/><input type="text" name="col"><br/>Цена выполнения:<br/><input type="text" name="cena"><br/><input type="submit" name="submit" value="Создать задание"></form></div>';
echo '<div class="forlink"><a href="/task" class="links"><img src="/img/32.png" alt=""> Мои задания</a></div>';
} else {
header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>