<?php
$title = 'Просмотр задания';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
// Проверка файла
function is_safeFile($filename) {
$whitelist = array(".jpg", ".jpeg", ".png", ".gif", ".zip", ".rar", ".7z");
foreach ($whitelist as $item) {
    if (preg_match("/$item\$/i", $filename)) {
        $value = true;
    } else {
        $value = false;
    }
}
return $value;
}
// Проверка изображения
function is_safePicture($gif, $filename, $tmp = null) {
    $whitelist = array(".jpg", ".jpeg", ".png");
    if ($gif == 1) $whitelist[] = ".gif";
    if ($tmp == null) $tmp = $filename;
foreach ($whitelist as $item) {
    if (preg_match("/$item\$/i", $filename)) {
        $size = getimagesize($tmp);
        if ($size[0] > 0 && $size[1] > 0) {
            $value = true;
        } else {
            $value = false;
        }
    } else {
        $value = false;
    }
}
return $value;
}
echo '<div class="title">Просмотр задания</div>';
$stmt_num_task = $connect->prepare("select count(*) from `task` where `id` = ?");
$stmt_num_task->execute(array($id));
$num_task = $stmt_num_task->fetchColumn();
if ($num_task > 0) {
$strow = $connect->prepare("select * from `task` where `id` = ?");
$strow->execute(array($id));
$row = $strow->fetch(PDO::FETCH_LAZY);
$stmt_answer = $connect->prepare("select count(*) from `task_ans` where `user` = ? and `tid` = ?");
$stmt_answer->execute(array($user['login'], $id));
$answer = $stmt_answer->fetchColumn();
// отправленные заявки
$stmt_send = $connect->prepare("select count(*) from `task_ans` where `status` = '0' and `tid` = ?");
$stmt_send->execute(array($id));
$send_ans = $stmt_send->fetchColumn();
echo '<div class="menu"><img src="/img/34.png" alt="">'.$row['name'].'<hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div><div class="menu">Создатель задания: '.(uid($row['user'], $connect) ? '<a href="/user/'.uid($row['user'], $connect).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>Оплата за выполнение: '.$row['cena'].' руб.</div>';
if ($send_ans >= $row['col']) {
echo '<div class="menu">Подождите, пока старые заявки будут обработаны и баланс задания будет пополнен!</div>';
}
elseif ($answer == 0 && $row['user'] != $user['login'] && $send_ans < $row['col'] && $row['col'] > 0 && $row['status'] == 1) {
echo '<div class="title">Отчет</div>';
if (isset($_POST['answer'])) {
$error = '';
if (empty($_POST['text'])) {
$error = 'Введите сообщение!<br/>';
}
elseif (mb_strlen($_POST['text']) < 5 or mb_strlen($_POST['text']) > 750) {
$error = 'Сообщение должно содержать от 5 до 750 символов!<br/>';
}
if (file_exists($_FILES['filename']['tmp_name'])) {
$token = rand(11111, 99999);
$files = $token."_".$_FILES['filename']['name'];
if (!is_safeFile($_FILES['filename']['name'])) {
$error.= 'Неверный тип файла!<br/>';
}
if ($_FILES['filename']['size'] > 1048576 * 5) {
$error.= 'Максимальный размер файла - 5 Mb!<br/>';
}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
} else {
$files = isset($files) ? $files : false;
$stmt = $connect->prepare("insert into `task_ans` set `time` = ?, `user` = ?, `text` = ?, `tid` = ?, `file` = ?");
if ($stmt->execute(array(time(), $user['login'], $_POST['text'], $row['id'], $files))) {
if (file_exists($_FILES['filename']['tmp_name'])) {
move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
}
echo '<div class="menu">Ваш отчет отправлен на проверку!</div>';
header('Refresh: 1');
} else {
echo '<div class="menu">Произошла ошибка!</div>';
}
}
}
echo '<div class="menu"><form action="" method="post" enctype="multipart/form-data">Отчет о выполнении:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>Прикрепить файл:<br/><input type="file" name="filename"><br/><input type="submit" name="answer" value="Подтвердить выполнение"></form></div>';
}
} else {
echo '<div class="menu">Нет такого задания!</div>';
}
echo '<div class="forlink"><a href="/task/list" class="links"><img src="/img/17.png" alt=""> Выполнение заданий</a></div>';
} else {
header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>